Description

Hi

I have a lot of JSON (not GeoJSON) files with data, in some cases with coordinates. I would like to be able to use them in QGIS,

specifically import and flatten them in a processing model.

History

#1 - 2018-09-03 11:01 AM - Giovanni Manghi

- Status changed from Open to Feedback

QGIS supportes json datasources, what is this request really for? https://www.gdal.org/drv_geojson.html

#2 - 2018-09-03 11:10 AM - Magnus Nilsson

The files are not GeoJSON files. An example:

{

  "meta" : {

    "Version" : "1.0",

    "Create time" : "2018-08-30 18:40:02 UTC" 

  },

  "units" : [ {

    "dn" : "ou=test,ou=Org,o=xyz",

    "attributes" : {

      "countryName" : "SE",

      "createTimestamp" : "20180504113600Z",

      "creatorsName" : "cn=improxy,ou=System,o=test",

      "hsaCountyCode" : "14",

      "hsaIdentity" : [ "test" ],

      "hsaMunicipalityCode" : [ "1480" ],

      "modifiersName" : "cn=admin,ou=System,o=test",

      "modifyTimestamp" : "20180829082917Z",

      "ou" : [ "xyz" ],

      "vgrAo3kod" : [ "501" ],

      "vgrModifyTimestamp" : "20180618080954Z",

      "vgrModifyersName" : "cn=user,ou=Personal,o=test" 

    }

  }, {

I don´t see a way of opening (and flattening) it in QGIS. How do I do that?
#3 - 2018-09-03 11:36 AM - Giovanni Manghi

- Status changed from Feedback to Open

This are the supported vector formats via OGR (there are other formats that have a native provider in QGIS);

https://www.gdal.org/ogr_formats.html

Magnus Nilsson wrote:

The files are not GeoJSON files. An example:

{

"meta" : {

"Version" : "1.0",

"Create time" : "2018-08-30 18:40:02 UTC" 

},

"units" : [ {

"dn" : "ou=test,ou=Org,o=xyz",

"attributes" : {

"countryName" : "SE",

"createTimestamp" : "20180504113600Z",

"creatorsName" : "cn=improxy,ou=System,o=test",

"hsaCountyCode" : "14",

"hsaIdentity" : [ "test" ],

"hsaMunicipalityCode" : [ "1480" ],

"modifiersName" : "cn=admin,ou=System,o=test",

"modifyTimestamp" : "20180829082917Z",

"ou" : [ "xyz" ],

"vgrAo3kod" : [ "501" ],

"vgrModifyTimestamp" : "20180618080954Z",

"vgrModifyersName" : "cn=user,ou=Personal,o=test" 

}

}, {

I don´t see a way of opening (and flattening) it in QGIS. How do I do that?
